Bug 132955 - USB mini-hub sees attached mouse+keyboard but only activates keyboard
USB mini-hub sees attached mouse+keyboard but only activates keyboard
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-20 08:04 EDT by James Laska
Modified: 2015-01-04 17:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:02:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2004-09-20 08:04:40 EDT
# TREE rawhide-20040919
# ARCH i386
# MACHINE DELL Latitude laptop w/ dell usb hub
# RPMS kernel-2.6.8-1.541, devlabel-0.48.03-5, udev-030-26

I have tested this with it plugged in during boot-up and running
kudzu, and while attaching it to a running system.  For clarification
I will describe attaching it to a running system.

I have a 4 port usb hub that has a keyboard + mouse attached.  I plug
the hub into my 1 usb port and I observ the following from
/var/log/messages:

==========================================
Sep 20 08:00:06 flatline kernel: usb 1-1: USB disconnect, address 2
Sep 20 08:00:06 flatline kernel: usb 1-1.4: USB disconnect, address 5
Sep 20 08:00:06 flatline hal.hotplug[4438]: DEVPATH is not set
Sep 20 08:00:06 flatline hal.hotplug[4477]: DEVPATH is not set
Sep 20 08:00:09 flatline kernel: usb 1-1: new full speed USB device
using address 6
Sep 20 08:00:10 flatline kernel: hub 1-1:1.0: USB hub found
Sep 20 08:00:10 flatline kernel: hub 1-1:1.0: 4 ports detected
Sep 20 08:00:11 flatline kernel: usb 1-1.1: new full speed USB device
using address 7
Sep 20 08:00:11 flatline kernel: usb 1-1.1: device not accepting
address 7, error -71
Sep 20 08:00:11 flatline kernel: usb 1-1.1: new full speed USB device
using address 8
Sep 20 08:00:12 flatline kernel: usb 1-1.1: device not accepting
address 8, error -71
Sep 20 08:00:12 flatline kernel: usb 1-1.4: new low speed USB device
using address 9
Sep 20 08:00:12 flatline hal.hotplug[4622]: DEVPATH is not set
Sep 20 08:00:12 flatline kernel: input: USB HID v1.10 Keyboard
[Logitech Logitech USB Keyboard] on usb-0000:00:1d.0-1.4
Sep 20 08:00:13 flatline udev[4608]: configured rule in
'/etc/udev/rules.d/50-udev.rules' at line 25 applied, 'event3' becomes
'input/%k'
Sep 20 08:00:13 flatline udev[4608]: creating device node
'/dev/input/event3'
Sep 20 08:00:14 flatline hal.hotplug[4681]: DEVPATH is not set
Sep 20 08:00:14 flatline kernel: input: USB HID v1.10 Mouse [Logitech
Logitech USB Keyboard] on usb-0000:00:1d.0-1.4
Sep 20 08:00:15 flatline udev[4663]: configured rule in
'/etc/udev/rules.d/50-udev.rules' at line 24 applied, 'mouse2' becomes
'input/%k'
Sep 20 08:00:15 flatline udev[4671]: configured rule in
'/etc/udev/rules.d/50-udev.rules' at line 25 applied, 'event4' becomes
'input/%k'
Sep 20 08:00:15 flatline udev[4663]: creating device node
'/dev/input/mouse2'
Sep 20 08:00:15 flatline udev[4671]: creating device node
'/dev/input/event4'
Sep 20 08:01:01 flatline crond(pam_unix)[4755]: session opened for
user root by (uid=0)
Sep 20 08:01:01 flatline crond(pam_unix)[4755]: session closed for
user root

/proc/bus/usb/devices does not show the attached mouse:
==========================================

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=247/900 us (27%), #Int=  3, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.8-1.541 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.0
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  6 Spd=12  MxCh= 4
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=058f ProdID=9254 Rev= 3.12
S:  Manufacturer=ALCOR
S:  Product=Generic USB Hub
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   1 Ivl=255ms

T:  Bus=01 Lev=02 Prnt=06 Port=03 Cnt=01 Dev#=  9 Spd=1.5 MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=046d ProdID=c309 Rev=15.00
S:  Manufacturer=Logitech
S:  Product=Logitech USB Keyboard
C:* #Ifs= 2 Cfg#= 1 Atr=a0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=01 Driver=usbhid
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=10ms
I:  If#= 1 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=00 Prot=00 Driver=usbhid
E:  Ad=82(I) Atr=03(Int.) MxPS=   8 Ivl=32ms

The same result occurs if I unplug and re-plug the hub.  The only time
I can get it to recognize the usb mouse that is plugged into the hub
is if I remove the mouse and plug it back into the hub.  I then observ
the following changes in /var/log/messages:

==========================================
Sep 20 08:04:52 flatline kernel: usb 1-1.1: new low speed USB device
using address 10
Sep 20 08:04:52 flatline hal.hotplug[4840]: DEVPATH is not set
Sep 20 08:04:53 flatline kernel: input: USB HID v1.00 Mouse [Logitech
USB-PS/2 Mouse M-BA47] on usb-0000:00:1d.0-1.1
Sep 20 08:04:53 flatline udev[4813]: configured rule in
'/etc/udev/rules.d/50-udev.rules' at line 24 applied, 'mouse3' becomes
'input/%k'
Sep 20 08:04:53 flatline udev[4813]: creating device node
'/dev/input/mouse3'
Sep 20 08:04:53 flatline udev[4830]: configured rule in
'/etc/udev/rules.d/50-udev.rules' at line 25 applied, 'event5' becomes
'input/%k'
Sep 20 08:04:53 flatline udev[4830]: creating device node
'/dev/input/event5'


and now /proc/usb/bus/devices reports the mouse correctly:

==========================================
T:  Bus=01 Lev=02 Prnt=06 Port=00 Cnt=01 Dev#= 10 Spd=1.5 MxCh= 0
D:  Ver= 1.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=046d ProdID=c002 Rev= 1.20
S:  Manufacturer=Logitech
S:  Product=USB-PS/2 Mouse M-BA47
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr= 50mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=usbhid
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=10ms


I have tried different ports on the hub, I've tried booting with the
hub installed.  All of these do not get the mouse recognized.  Only
unplugging and re-insterting the USB mouse seem to work.  I would
blame faulty hardware if it weren't for the /var/log/messages seeing
the mouse input device (just not activating it).

Thoughts, suggestions?
Comment 1 James Laska 2004-09-21 09:42:01 EDT
Seems to work on boot-up using kernel-2.6.8-1.584.  However, it still
does not work when removing and re-inserting the hub.
Comment 2 Dave Jones 2005-10-05 23:00:33 EDT
any luck with later kernels ?
I'll let you decide whether to reassign this from devel->rhel4 bug depending
upon what you want to test :)
Comment 3 John Thacker 2006-05-04 09:02:00 EDT
No response, closing.

Note You need to log in before you can comment on or make changes to this bug.